Update tracking number
POST https://{handle}.myshopline.com/admin/openapi/v20260901/orders/:order_id/fulfillments/:fulfillment_id/update_tracking.json
handle : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is open001.myshopline.com , the store handle is open001 .Update tracking number
Path Parameters
- fulfillment_id string requiredPackage ID
- order_id string requiredOrder number
Request Headers
- Content-Type string requiredThe field must be set to the fixed value
application/json; charset=utf-8. - Authorization string requiredThe access token for the API resource. Refer to App authorization to obtain the access token, and then pass the obtained token in the Bearer format.Example:
Bearer eyJhbGciOiJIUzUxMiJ9.eyJhcHBLZXkiOiJmMjM3OWQyMTYyOGMzM2QxMWRiMWZkYjY5N2EzZjdjMjZlNGMwYTA5Iiwic2VsbGVySWQiOiIyMDAwMjM0ODgwIiwic3RvcmVJZCI6IjE2NzIzNjk3Mjk2MDYiLCJ2ZXJzaW9uIjoiVjIiLCJkb21haW4iOiJodHRwczovL3NsLW9wZW4tc2cubXlzaG9wbGluZS5jb20iLCJ0aW1lc3RhbXAiOjE2NzUzMTk0OTI0MzksImlzcyI6Inlzb3VsIiwiZXhwIjoxNzY5OTI3NDkyfQ.UwQzomM2veGCUaOZ0paUxq5dpc7DXuhHYFvsQ_uIAKduzWcb_j2E4q_36El83sp145D4cKbpcE5KCeeIz-JNQw
Request Body
fulfillmentobject required
Package informationtracking_infoobject
Logistics information.DEPRECATED: This parameter is deprecated from API version v20250601. Refer totracking_info_list.company stringLogistics companiesExample:"4PX"number stringTracking numberExample:"1123212"url stringLogistics tracking URLExample:"https://tools.usps.com/go/TrackConfirmAction_input?qtc_tLabels1=1Z2345"tracking_info_listobject[]
If this parameter is specified, the individual parameterstracking_url,tracking_number, andtracking_companywill be ignored.Maximum of 10 tracking infos allowed.tracking_company stringLogistics service provider. Refer to Logistics company list for valid values.tracking_number stringTracking number.tracking_url stringLogistics tracking URL.
Status Codes
- 200
- 401
- 429
For the complete list of codes and messages, see Http status code.
Response Headers
traceId
A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.
Response Body
fulfillmentobject
Package informationcreated_at stringCreation dateid stringPackage IDExample:"4005740193290131085320"line_itemsobject[]
Item groupfulfillable_quantity integerAvailable quantityExample:1grams doubleWeightExample:10.5id stringProduct IDExample:"466157049"name stringProduct nameExample:Trade nameprice stringPriceExample:"100.00"price_setobject
Multi-currency pricespresentment_moneyobject
Settlement currencyamount stringAmountExample:"100.00"currency_code stringCurrencyExample:"USD"shop_moneyobject
Store currencyamount stringAmountExample:"100.00"currency_code stringCurrencyExample:"USD"product_id stringProduct IDExample:"343342675"quantity integerProduct quantity shippedExample:1requires_shipping booleanShipping or notExample:truesku stringProduct codeExample:"183423409238904944"tax_linesobject[]
Taxprice stringAmountExample:"10.00"price_setobject
Multi-currency amountpresentment_moneyobject
Settlement currencyamount stringAmountExample:"10.00"currency_code stringCurrencyExample:"USD"shop_moneyobject
Store currencyamount stringAmountExample:"10.00"currency_code stringCurrencyExample:"USD"rate stringTax rateExample:"1.00"title stringTax nameExample:" Product tax "taxable booleanTax or not?Example:truetitle stringProduct titleExample:"Draft"total_discount stringDiscount amountExample:"0.00"total_discount_setobject
Multi-currency discountpresentment_moneyobject
Settlement currencyamount stringAmountExample:"0.00"currency_code stringCurrencyExample:"USD"shop_moneyobject
Store currencyamount stringAmountExample:"0.00"currency_code stringCurrencyExample:"USD"variant_id stringProduct variant IDExample:"183423409238904944"variant_title stringProduct variant nameExample:"Black / Bracelet / Bracelet""version stringProduct versionExample:"1"name stringPackageExample:"#21057116277667827637773776.1"order_id stringOrder numberExample:"21057116277667827637773776"shipment_status stringPackage trackingExample:"delivered"status stringLogistics delivery status, success-shipped; cancelled-cancelled;Example:"success-shipped"tracking_company stringLogistics company nameDEPRECATED: This parameter is deprecated from API version v20250601. Refer totracking_info_listfor related information.Example:"Other"tracking_info_listobject[]
If this parameter is specified, the individual parameterstracking_url,tracking_number, andtracking_companywill be ignored.Maximum of 10 tracking infos allowed.tracking_company stringThe logistics service provider.tracking_number stringThe tracking number.tracking_url stringThe URL for tracking the package.tracking_number stringTracking numberDEPRECATED: This parameter is deprecated from API version v20250601. Refer totracking_info_listfor related information.Example:"UG198768340YP"tracking_numbers arrayTracking number arrayExample:["[\"UG198768340YP\"]"]tracking_url stringLogistics tracking URLDEPRECATED: This parameter is deprecated from API version v20250601. Refer totracking_info_listfor related information.Example:"https://tools.usps.com/go/TrackConfirmAction_input?qtc_tLabels1=1Z2345"tracking_urls arrayLogistics tracking URL groupExample:["[\"\"https://tools.usps.com/go/TrackConfirmAction_input?qtc_tLabels1=1Z2345\"\"]"]updated_at stringUpdate timeExample:2022-10-21T08:56:20-04:00
API Explorer
Debugger
Was this article helpful to you?